List agent categories
curl --request GET \
--url https://api.x84.ai/agents/categoriesimport requests
url = "https://api.x84.ai/agents/categories"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.x84.ai/agents/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "defi",
"hash": "b5d4045c3f466fa91fe2cc6abe79232a1a57cdf104f7a26e716e0a1e2789df78"
},
{
"name": "trading",
"hash": "88cd2108b5347d973cf39cdf9053d7dd42704876d8c9a9bd8e2d168259d3ddf7"
},
{
"name": "analytics",
"hash": "be45cb2605bf36bebde684841a28f0137ed840f142bd1fbab8d1ae0d26086c14"
},
{
"name": "social",
"hash": "e067dac0fda8f0622b0c956a03c1fc5a6e38a2dde3b11c1e232a6e6c847e5a45"
},
{
"name": "ai",
"hash": "535fa30d7e25dd8a49f1536779734ec8286108d115da5045d77f3b4185d8f790"
}
]Agents
List agent categories
Returns all known categories with their human-readable name and on-chain tag hash (SHA-256). Use the name value in the category filter on GET /agents.
GET
/
agents
/
categories
List agent categories
⌘I